﻿using C1.WPF.C1DataGrid;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Product> Products;
        public MainWindow()
        {
            InitializeComponent();
            var random = new Random();
            Products = new ObservableCollection<Product>(); 
            for(int i=0;i<20;i++)
            {
                Products.Add(new Product() { Id = i, Name="Product "+i,Price=random.Next(100,500)});
            }
            grid.ItemsSource = Products;
        }
    }
    public class Product
    {
        public int Id { get; set; }
        public string Name { get; set; }
        public double Price { get; set; }
    }
}
